Sync with Waxpeer session to auto-fill API key

Get items that you can list for sale

GET/v1/get-my-inventory

Items in your Steam inventory that are not listed yet and can be listed for sale. List them with POST /v1/list-items-steam. To change the price of items you already listed, use the item_id from GET /v1/list-items-steam with POST /v1/edit-items.

item_id is a string for Rust and a number for CS2 and Dota 2. Rust asset ids are 18 digits (larger than 2^53), so send and store item_id as a string: a JSON number is rounded by JavaScript and most JSON parsers.

Prices are integers. 1000 = $1.00 USD.

Parameters

NameLocationTypeDescription
api
required
querystring
skip
optional
querynumber

Number of records to skip for pagination

game
optional
queryenum

Game code for requested items (csgo, tf2, rust, dota2)

enum: csgo, tf2, rust, dota2

Responses

200 Successful operation

NameTypeDescription
success
optional
boolean

Whether the operation succeeded

items
optional
array<object>

Array of items

item_id
optional
string

Steam asset id. A string for Rust (18 digits, larger than 2^53), a number for CS2 and Dota 2. Treat it as a string.

type
optional
string

Type identifier

icon_url
optional
string

Item icon URL

name
optional
string

Full item market hash name

steam_price
optional
object

Steam item price in integer (1000 = $1.00 USD)

average
optional
number

Steam average price in integer format (1000 = $1.00 USD)

rarity_color
optional
string

Item rarity color hex

rarity
optional
string

Rarity name (e.g. Mil-Spec Grade, Classified, Covert). Returned when minified=0

current
optional
number

Steam latest price in integer format (1000 = $1.00 USD)

name
optional
string

Full item market hash name

lowest_price
optional
number

Minimum price currently listed (1000 = $1.00 USD)

img
optional
string

Direct URL to item image on Steam Community CDN

count
optional
number

Number of available items / records

msg
optional
string

Reason message when success is false

Response
{
  "success": true,
  "items": [
    {
      "item_id": "string",
      "type": "Butterfly Knife",
      "icon_url": "-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXH5ApeO4YmlhxYQknCRvCo04DEVlxkKgpovbSsLQJf0ebcZThQ6tCvq4GGqPD1PrbQqW9e-NV9j_v-5YT0m1HmlB81NDG3OtOcdlM5MF3Srla4wO-8h5PuucyawHo37HZxsXePnEe20xseaLBnhPSACQLJc-o5FQc",
      "name": "★ Butterfly Knife | Gamma Doppler (Factory New)",
      "steam_price": {
        "average": 2767941,
        "rarity_color": "string",
        "rarity": "string",
        "current": 2633000,
        "name": "★ Butterfly Knife | Gamma Doppler Phase 2 (Factory New)",
        "lowest_price": 2125555,
        "img": "-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXH5ApeO4YmlhxYQknCRvCo04DEVlxkKgpovbSsLQJf0ebcZThQ6tCvq4GGqPD1PrbQqW9e-NV9j_v-5YT0m1HllB81NDG3S9rEMFFrf1iC_QXqw7u9h5PqupTKyiNh6ClxtCvczUPmgUtPPbE-1qDISFicAqVXXP7V9p_o84A"
      }
    }
  ],
  "count": 5,
  "msg": "Skip is not a number"
}